<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: forum_threads_list_panel.php
| Author : Smokeman
| Email: admin@phpfusion-tips.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
require(LOCALE.LOCALESET."forum/main.php");

if (file_exists(INFUSIONS."forum_threads_list_panel/locale/".$settings['locale'].".php")) {
include INFUSIONS."forum_threads_list_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."forum_threads_list_panel/locale/English.php";
}

if (!isset($lastvisited) || !isnum($lastvisited)) $lastvisited = time();

$min = 5;  // Minimum visible posts in first level.
$max = 5;  // Maximum number of posts in second level (hidden).

$imageold = get_image("folder",$locale['561'],"",$locale['561']);
$imagenew = get_image("foldernew",$locale['560'],"",$locale['560']);

echo "<script type='text/javascript' language='JavaScript' src='".INFUSIONS."forum_threads_list_panel/ft_boxover.js'></script>";

$result = dbquery("SELECT 
    tf.forum_name,tf.forum_id,
    tt.thread_id,tt.thread_locked,tt.thread_subject,tt.thread_author,tt.thread_views,
    tt.thread_lastpost,tt.thread_lastuser, tt.thread_postcount, tt.thread_lastpostid as last_id,
    if(tt.thread_lastpost>$lastvisited,1,0) as new_post,
    tu.user_id, tu.user_name as user_name,
    tau.user_name as author,  
    tp.post_message, tp.post_smileys
    
    FROM ".DB_THREADS." tt 
    INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
    INNER JOIN ".DB_POSTS." tp ON tt.thread_id=tp.thread_id
    INNER JOIN ".DB_USERS." tu ON tt.thread_lastuser=tu.user_id 
    INNER JOIN ".DB_USERS." tau ON tt.thread_author=tau.user_id 
    WHERE ".groupaccess('forum_access')."
    AND tt.thread_lastpostid = tp.post_id  
    ORDER BY tt.thread_lastpost DESC LIMIT ".($min + $max) 
);

if (dbrows($result) != 0) {
$i = 0;
opentable($locale['ftl100']);
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
echo "<td align='center' class='tbl1' height='14' width='1%'>&nbsp;</td>\n";
echo "<td align='center' class='tbl1' width='1%'>&nbsp;</td>\n";
echo "<td align='left' class='tbl1' width='72%'><span class='small'><b>".$locale['ftl120']."</b></span></td>\n";
echo "<td align='center' class='tbl1' width='1%'><span class='small'><b>".$locale['ftl107']."</b></span></td> \n";
echo "<td align='right' class='tbl1' width='25%' colspan='2'><span class='small'><b>".$locale['ftl108']."</b></span></td>\n";
echo "</tr>\n"; 

while ($data = dbarray($result)) {
if ($i == $min) {
echo "</table>\n";

echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
echo "<td align='left' class='forum'><img src='".INFUSIONS."forum_threads_list_panel/images/icon_displaymore.gif' alt='' />&nbsp;<a href=\"javascript:void(0)\" onclick=\"toggle_smt();\"><span id='show_more_threads_text'><b>".$locale['ftl113']."</b></span></a></td>\n";
echo "<td align='right' valign='top' class='forum'>\n";
echo "<form name='searchform' method='get' action='".BASEDIR."search.php?stype=forums'><span class='small'>".$locale['ftl104']."</span>\n";
echo "<input type='hidden' name='stype' value='forums' />\n";
echo "<input type='text' name='stext' class='textbox' style='width:150px' />\n";
echo "<input type='submit' name='search' value='".$locale['550']."' class='button' />\n";
echo "</form>\n</td>\n";
echo "</tr>\n</table>\n";

echo "<div id='show_more_threads' style='display: none;'><br />"; 
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n"; 
echo "<td align='center' class='tbl1' height='14' width='1%'>&nbsp;</td>\n";
echo "<td align='center' class='tbl1' width='1%'>&nbsp;</td>\n";
echo "<td align='left' class='tbl1' width='72%'><span class='small'><b>".$locale['ftl120']."</b></span></td>\n";
echo "<td align='center' class='tbl1' width='1%'><span class='small'><b>".$locale['ftl107']."</b></span></td>\n";
echo "<td align='right' class='tbl1' width='25%' colspan='2'><span class='small'><b>".$locale['ftl108']."</b></span></td>\n";
echo "</tr>\n"; 
}
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }

		//problem solved
		$result_s = dbquery("SELECT * FROM ".DB_POSTS." WHERE thread_id=".$data['thread_id']."");
		$data_s = dbarray($result_s);
    	if ($data_s['post_solved'] == 1) {
		$mark = INFUSIONS."forum_threads_list_panel/images/cmark.gif";
		$alt = "".$locale['ftl130']."";
		} else {
		$mark = INFUSIONS."forum_threads_list_panel/images/blank.gif";
		$alt = "".$locale['ftl131']."";
		}
		//problem solved

		$post_message = trimlink($data['post_message'],250);
		if($data['post_smileys'])$post_message=parsesmileys($post_message);
		$post_message = phpentities(nl2br(parseubb($post_message)));

		if ($data['new_post']){
		$thread_match = $data['thread_id']."|".$data['thread_lastpost']."|".$data['forum_id'];
		if (iMEMBER && strpos($userdata['user_threads'],$thread_match)!==FALSE){
		$folder_image = $imageold;
		} else $folder_image = $imagenew;			
		} else $folder_image = $imageold;

echo "<tr>\n";
echo "<td align='center' class='$row_color' width='1%' height='14'><img src='".$mark."' alt='".$alt."' border='0' /></td>\n";
echo "<td align='center' class='$row_color' width='1%'>$folder_image</td>\n";
echo "<td class='$row_color' width='72%'><span class='small forum_thread_title'><a href='".FORUM."viewthread.php?forum_id=".$data['forum_id']."&amp;thread_id=".$data['thread_id']."&amp;pid=".$data['last_id']."#post_".$data['last_id']."' title=\"header=[&lt;font color='#005599'&gt;".$locale['ftl121'].":&lt;/font&gt; ".str_replace("]", "]]", str_replace("[", "[[", trimlink($data['thread_subject'], 30)))."&lt;br /&gt;&lt;font color='#005599'&gt;".$locale['ftl137'].":&lt;/font&gt; ".trimlink($data['forum_name'], 50)."] body=[".str_replace("]", "]]", str_replace("[", "[[", trimlink($post_message, 250)))."] delay=[0] fade=[on]\">".trimlink($data['thread_subject'], 45)."</a></span></td>\n";
echo "<td align='center' class='$row_color' width='1%'><span class='small'>".($data['thread_postcount']-1)."</span></td>\n";
echo "<td align='center' class='$row_color'><span class='small forum_thread_title'><a href='".BASEDIR."profile.php?lookup=".$data['thread_lastuser']."' title='".$data['author']."'>".$data['user_name']."</a></span></td>\n";
echo "<td align='right' class='$row_color' width='25%'><span class='small'>".showdate("forumdate", $data['thread_lastpost'])."</span><br /></td>\n";
echo "</tr>\n"; 
		$i ++;
    }
    if ($i > $min) { echo "</table>\n<br />
<script type='text/javascript'>
<!--
function toggle_smt() {
var smt = document.getElementById('show_more_threads');
var smttxt = document.getElementById('show_more_threads_text');
if (smt.style.display == 'none') {
smt.style.display = 'block';
smttxt.innerHTML = '".$locale['ftl114']."';
} else {
smt.style.display = 'none';
smttxt.innerHTML = '".$locale['ftl113']."';
}
}
//-->
</script></div>\n";
} else { echo "\n</table><br />\n"; }
} else {
opentable($locale['ftl100']);
echo "<center><b>".$locale['ftl136']."</b></center>";
}

echo "<table width='100%'><tr>\n";
echo "<td align='center' valign='middle' class='forum'><img src='".INFUSIONS."forum_threads_list_panel/images/cmark.gif' alt='".$locale['ftl132']."' /> <span class='small'>".$locale['ftl132']."</span> <img src='".INFUSIONS."forum_threads_list_panel/images/blank.gif' alt='".$locale['ftl133']."' /> <span class='small'>".$locale['ftl133']."</span> <img src='".THEME."forum/foldernew.gif' alt='".$locale['ftl134']."' /> <span class='small'>".$locale['ftl134']."</span> <img src='".THEME."forum/folder.gif' alt='".$locale['ftl135']."' /> <span class='small'>".$locale['ftl135']."</span>\n</td>\n";
echo "</tr>\n</table>\n";

if (iMEMBER) {
echo "<hr /><p style='text-align:center; vertical-align:middle; margin-top: 6px;'>
<img src='".BASEDIR."infusions/forum_threads_list_panel/images/icon_threads.gif' alt='".$locale['ftl110']."' border='0' />&nbsp;<span class='small'><a href='".INFUSIONS."forum_threads_list_panel/my_threads.php' title='".$locale['ftl110']."'>".$locale['ftl110']."</a></span>&nbsp;&nbsp; 
<img src='".BASEDIR."infusions/forum_threads_list_panel/images/icon_threads.gif' alt='".$locale['ftl111']."' border='0' />&nbsp;<span class='small'><a href='".INFUSIONS."forum_threads_list_panel/my_posts.php' title='".$locale['ftl111']."'>".$locale['ftl111']."</a></span>&nbsp;&nbsp; 
<img src='".BASEDIR."infusions/forum_threads_list_panel/images/icon_threads.gif' alt='".$locale['ftl112']."' border='0' />&nbsp;<span class='small'><a href='".INFUSIONS."forum_threads_list_panel/newposts.php' title='".$locale['ftl112']."'>".$locale['ftl112']."</a></span></p>"; 
}

closetable();

?>